Bug 116430 - Don't unmount CD-ROM before %post in kickstart runs
Don't unmount CD-ROM before %post in kickstart runs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-20 19:24 EST by Forrest
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-22 22:37:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Allow the CD-ROM to stay mounted during %post of a kickstart install (510 bytes, patch)
2004-02-20 19:25 EST, Forrest
no flags Details | Diff

  None (edit)
Description Forrest 2004-02-20 19:24:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040115

Description of problem:
During a kickstart installation via CD-ROM, the CD-ROM is unmounted
before %post runs.

Version-Release number of selected component (if applicable):
/anaconda-9.90-5

How reproducible:
Always

Steps to Reproduce:
1.  Run kickstart with an install method of CD, and include a %post
section

Actual Results:  %post is never run
Comment 1 Forrest 2004-02-20 19:25:49 EST
Created attachment 97894 [details]
Allow the CD-ROM to stay mounted during %post of a kickstart install
Comment 2 Jeremy Katz 2004-02-22 22:37:54 EST
This is an intentional change so that people can eject the CD at the
end of package installation. 
Comment 3 Forrest 2004-02-24 17:01:30 EST
Is there any way to check for a %post section or even check that a
kickstart install is running?

Note You need to log in before you can comment on or make changes to this bug.